﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataGrid_sample
{
    internal class MainWindowViewModel : NotificationObject
    {
        private ObservableCollection<Item> _items;

        public ObservableCollection<Item> Items
        {
            get { return _items; }
            set { _items = value; OnPropertyChanged(); }
        }

        // ★IsAllowEdit を用意
        private bool _isAllowEdit;
        public bool IsAllowEdit
        {
            get { return _isAllowEdit; }
            set { _isAllowEdit = value; OnPropertyChanged(); }
        }

        public MainWindowViewModel()
        {
            _items = new ObservableCollection<Item>();

            _items.Add(new Item { Id = 1, Name = "アトウ" });
            _items.Add(new Item { Id = 2, Name = "カトウ" });
            _items.Add(new Item { Id = 3, Name = "サトウ" });

            // ★Id 列を編集不可とするため、_isAllowEdit に false を設定しておく
            _isAllowEdit = false;
        }
    }
}
